#ifndef JUMP_TABLE_H
#define JUMP_TABLE_H

namespace JumpTable {
const unsigned long A[] = {
	1664525,
	389569705,
	2940799637,
	158984081,
	2862450781,
	3211393721,
	1851289957,
	3934847009,
	2184914861,
	246739401,
	1948736821,
	2941245873,
	4195587069,
	4088025561,
	980655621,
	2001863745,
	657792333,
	65284841,
	1282409429,
	3808694225,
	2968195997,
	2417331449,
	2878627493,
	307989601,
	504219373,
	1897564169,
	2574089845,
	3294562801,
	3478292285,
	2651335705,
	2523738949,
	666245249,
	4137395341,
	2604435753,
	1706708245,
	3963176977,
	3678957277,
	3530469177,
	3858799589,
	629287073,
	3146069549,
	3820924489,
	2403397557,
	2390444593,
	2593868413,
	4291139161,
	1705056389,
	3186638017,
	1279327181,
	1520793449,
	826009173,
	3692925009,
	216635933,
	3357106553,
	3404802341,
	1765856481,
	4145378669,
	2424661129,
	1312141557,
	2770901617,
	2778848701,
	2399572121,
	4293086661,
	667185409,
	1394156301,
	2827154857,
	3121139605,
	984934545,
	3322058077,
	2881070009,
	2897872485,
	2212204833,
	1513260205,
	2857544393,
	1138737717,
	2431318705,
	1998209277,
	3673103065,
	34067205,
	3556160833,
	3273136717,
	339280873,
	540346581,
	2701349073,
	1674010781,
	4042487289,
	3266261925,
	3163970913,
	2605736941,
	2903146761,
	2463310709,
	189164273,
	314078269,
	3416470809,
	2380441669,
	4065003905,
	556917133,
	2519441961,
	3637809685,
	4178364689,
	1617689565,
	2221594681,
	1764012261,
	1001732513,
	3722646317,
	2643519305,
	1386468533,
	1052699441,
	959477629,
	3796295513,
	2319961477,
	3011866049,
	4284119245,
	3485388905,
	3992677205,
	3184873809,
	2468636445,
	197380729,
	1634631205,
	1249650145,
	4066284141,
	1237966217,
	3487946229,
	114850673,
	2822130365,
	2029918617,
	3809166021,
	2305417729,
	1015406605,
	1263963817,
	1052611733,
	996206993,
	1881449053,
	631393465,
	299932517,
	2469339681,
	2520179117,
	2291753929,
	3425511221,
	806820785,
	1518202365,
	49079257,
	3372288005,
	1723622977,
	1151866701,
	3159809257,
	3207531989,
	3467874769,
	1218489757,
	2846514937,
	3318679717,
	1628581473,
	3017801965,
	2044951049,
	3188574325,
	3086928881,
	3350946109,
	1278688793,
	4059897157,
	4282448513,
	1354047117,
	1059306281,
	3093550869,
	634472977,
	2328660189,
	3900703033,
	3985491429,
	3764996769,
	2731405357,
	3331072073,
	287029685,
	219384881,
	614638717,
	3120638041,
	3637740165,
	129736385,
	2795566541,
	2569087337,
	141553749,
	2143162961,
	31208477,
	3955700601,
	1584452389,
	1584953057,
	1735700333,
	3765917321,
	1709898485,
	1322867825,
	2733094845,
	2322506393,
	4250417093,
	1978684161,
	3646921997,
	2025007017,
	1650940309,
	3967675025,
	369340253,
	3055809977,
	2462855269,
	2307109666};
const unsigned long C[] = {
	1013904223,
	1196435762,
	3519870697,
	2868466484,
	1649599747,
	2670642822,
	1476291629,
	2748932008,
	2180890343,
	2498801434,
	3421909937,
	3167820124,
	2636375307,
	3801544430,
	28987765,
	2210837584,
	3039689583,
	1338634754,
	1649346937,
	2768872580,
	2254235155,
	2326606934,
	1719328701,
	1061592568,
	53332215,
	1140036074,
	4224358465,
	2629538988,
	1946028059,
	573775550,
	1473591045,
	95141024,
	1592739711,
	1618554578,
	4257218569,
	2685635028,
	2617994019,
	740185638,
	4194465613,
	2426187848,
	967350023,
	366635194,
	2557108433,
	3503432700,
	353185579,
	706247310,
	408928405,
	1855199472,
	1263785871,
	2223693730,
	594074265,
	684458788,
	3868161075,
	1929325558,
	166605533,
	2640352920,
	1798252823,
	2071081866,
	171871585,
	2087307084,
	698505787,
	3647212126,
	634580517,
	1956956480,
	2017242015,
	1181484146,
	1221761321,
	3441954932,
	962199875,
	571258310,
	3352760941,
	3763818728,
	1371701031,
	1288172122,
	2012225009,
	3960962716,
	4082010443,
	1249037870,
	3840393141,
	3947023760,
	3754607535,
	2143919426,
	1774599097,
	1818014148,
	136057427,
	2672030614,
	798365181,
	2575687480,
	732141879,
	2569577770,
	1449661057,
	3853535724,
	1541586011,
	2732705278,
	3432461637,
	320021984,
	2287935423,
	697346578,
	2555167305,
	2262755092,
	1992730467,
	3286361446,
	2537831821,
	506544520,
	3411244871,
	1998670842,
	4174342929,
	4165544252,
	91222891,
	3817730510,
	4128919253,
	3925529136,
	2493169615,
	737028834,
	2360290521,
	2388897892,
	1770700915,
	2892204854,
	1060800797,
	685668312,
	2811435351,
	3565086410,
	546252705,
	3426163852,
	1514614395,
	3096727966,
	2901019749,
	2065617536,
	1398711263,
	776937394,
	896957289,
	903876020,
	2497273219,
	2290476294,
	3792828589,
	693273128,
	3949166439,
	1179547034,
	2370848817,
	1930372060,
	2633592203,
	1230103918,
	4273958389,
	786704080,
	1338756079,
	1734379650,
	1198239225,
	3246980868,
	2372107923,
	1799746262,
	1151568957,
	2492620920,
	2248518007,
	3638360170,
	2365312193,
	3081125676,
	4166496411,
	140750142,
	1267954565,
	451923744,
	1631795199,
	1829725522,
	3449275529,
	1456702548,
	3625591715,
	450933926,
	3322430413,
	887296712,
	989501319,
	3753340730,
	2344269137,
	1846636156,
	2406676395,
	2208737550,
	3583974677,
	1378274160,
	3144017935,
	76068386,
	3108224793,
	1282710948,
	4197338291,
	3771935350,
	4019789661,
	2043255064,
	2986559895,
	3316308490,
	2750808545,
	3282416076,
	2375828155,
	876075230,
	1364945573,
	883825600,
	4262779935,
	4063853298,
	1912118697,
	2053196532,
	2299591107,
	1507480646,
	82779885,
	3356160872};
};
#endif
